Mercurial > hg
view hgeditor @ 38833:c9e6ca31cfe7 stable
tests: update test expectations in pre-2.7.9 branch of this test
As far as I can tell this is the only spot that got overlooked. Rough
test methodology (run inside an hg working copy):
docker run --rm -v `pwd`:/hg -it debian:wheezy bash
apt-get update
apt-get install python python-dev build-essential unzip mercurial \
wget libbz2-dev
make testpy-2.7.8
You could try and use the system Python, but it's 2.7.3 and has lots
of issues for hg these days that are not worth fixing.
Differential Revision: https://phab.mercurial-scm.org/D4070
author | Augie Fackler <augie@google.com> |
---|---|
date | Fri, 03 Aug 2018 15:09:19 -0400 |
parents | 1aee2ab0f902 |
children |
line wrap: on
line source
#!/bin/sh # # This is an example of using HGEDITOR to create of diff to review the # changes while committing. # If you want to pass your favourite editor some other parameters # only for Mercurial, modify this: case "${EDITOR}" in "") EDITOR="vi" ;; emacs) EDITOR="$EDITOR -nw" ;; gvim|vim) EDITOR="$EDITOR -f -o" ;; esac HGTMP="" cleanup_exit() { rm -rf "$HGTMP" } # Remove temporary files even if we get interrupted trap "cleanup_exit" 0 # normal exit trap "exit 255" HUP INT QUIT ABRT TERM HGTMP=$(mktemp -d ${TMPDIR-/tmp}/hgeditor.XXXXXX) [ x$HGTMP != x -a -d $HGTMP ] || { echo "Could not create temporary directory! Exiting." 1>&2 exit 1 } ( grep '^HG: changed' "$1" | cut -b 13- | while read changed; do "$HG" diff "$changed" >> "$HGTMP/diff" done ) cat "$1" > "$HGTMP/msg" MD5=$(which md5sum 2>/dev/null) || \ MD5=$(which md5 2>/dev/null) [ -x "${MD5}" ] && CHECKSUM=`${MD5} "$HGTMP/msg"` if [ -s "$HGTMP/diff" ]; then $EDITOR "$HGTMP/msg" "$HGTMP/diff" || exit $? else $EDITOR "$HGTMP/msg" || exit $? fi [ -x "${MD5}" ] && (echo "$CHECKSUM" | ${MD5} -c >/dev/null 2>&1 && exit 13) mv "$HGTMP/msg" "$1" exit $?